Bug 1286991 - Installing Konversation doesn't include several dependencies
Installing Konversation doesn't include several dependencies
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konversation (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 05:04 EST by Sanne Grinovero
Modified: 2016-12-20 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:27:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sanne Grinovero 2015-12-01 05:04:26 EST
Description of problem:

After running "dnf install konversation", it apparently succeeds but then Konversation is unable to start. It seems it's missing dependencies.


Version-Release number of selected component (if applicable):
Name        : konversation
Arch        : x86_64
Epoch       : 0
Version     : 1.6
Release     : 4.fc23


How reproducible:
Install "konversation" on a clean installation of Fedora 23

Actual results:
Konversation crashes at startup

Expected results:
Konversation to start

Additional info:

I fixed my system by searching and installing the libraries:

dnf install kf5-kwindowsystem kf5-sonnet-ui kf5-kidletime libQt5X11Extras5 qt5-qtx11extras dbusmenu-qt5

This system was installed with Gnome3 shell originally; I've installed KDE after the first installation by using 

dnf install @kde-desktop

But that didn't include the above libraries apparently.
Comment 1 Rex Dieter 2015-12-01 07:48:15 EST
konversation already depends implicitly on many of those:

rpm -qR konversation
...
libKF5IdleTime.so.5()(64bit)
libKF5SonnetUi.so.5()(64bit)
libKF5WindowSystem.so.5()(64bit)

which are provided by kf5-kidletime, kf5-sonnet-ui, kf5-kwindowsystem respectively

So that leaves:
dbusmenu-qt5
qt5-qtx11extras

(there is no libQt5X11Extras5 package in fedora, are you possibly using some 3rd-party repositiories?)
Comment 2 Rex Dieter 2015-12-01 09:38:19 EST
For dbusmenu-qt5:

libdbusmenu-qt5.so.2()(64bit) is needed by (installed) kf5-knotifications-5.16.0-1.fc23.x86_64

libKF5Notifications.so.5()(64bit) is needed by (installed) konversation-1.6-4.fc23.x86_64

So, konversation should already pull in dbusmenu-qt5 too.



For qt5-qtx11extras : 

libQt5X11Extras.so.5()(64bit) is needed by (installed) kf5-kidletime-5.16.0-1.fc23.x86_64

So that should get pulled in via the libKF5IdleTime.so.5()(64bit) dep

All of the dependencies you mentioned should be accounted for, so I'm guessing something else caused the problems mentioned here (one theory is problematic 3rd-party software or repositories that break dependencies).

Perhaps,
https://fedoraproject.org/wiki/Common_F22_bugs#Some_third-party_application_rpms_bundle_Qt5_erroneously_.28hipchat.2C_viber.29
??

Do you happen to have either hipchat or viber installed?
Comment 3 Sanne Grinovero 2015-12-14 08:10:55 EST
Yes, I have HipChat installed!
Comment 4 Fedora End Of Life 2016-11-24 08:52:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:27:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.